Bug 1118997 - [abrt] gnome-shell: get_radeon_bo(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: get_radeon_bo(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 21
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:97cd5ca3297b9d644e1bef8dad0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-12 23:22 UTC by Bill Gianopoulos
Modified: 2015-12-02 16:09 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:15:13 UTC


Attachments (Terms of Use)
File: backtrace (40.41 KB, text/plain)
2014-07-12 23:22 UTC, Bill Gianopoulos
no flags Details
File: cgroup (190 bytes, text/plain)
2014-07-12 23:22 UTC, Bill Gianopoulos
no flags Details
File: core_backtrace (23.13 KB, text/plain)
2014-07-12 23:22 UTC, Bill Gianopoulos
no flags Details
File: dso_list (24.26 KB, text/plain)
2014-07-12 23:22 UTC, Bill Gianopoulos
no flags Details
File: environ (1.22 KB, text/plain)
2014-07-12 23:22 UTC, Bill Gianopoulos
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-12 23:22 UTC, Bill Gianopoulos
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-12 23:22 UTC, Bill Gianopoulos
no flags Details
File: maps (108.53 KB, text/plain)
2014-07-12 23:22 UTC, Bill Gianopoulos
no flags Details
File: open_fds (3.17 KB, text/plain)
2014-07-12 23:22 UTC, Bill Gianopoulos
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2014-07-12 23:22 UTC, Bill Gianopoulos
no flags Details
File: var_log_messages (1.86 KB, text/plain)
2014-07-12 23:22 UTC, Bill Gianopoulos
no flags Details
coredump.tar.gz (10.67 MB, application/x-gzip)
2014-08-06 01:39 UTC, Chris Murphy
no flags Details

Description Bill Gianopoulos 2014-07-12 23:22:28 UTC
Description of problem:
waking up form screensaver.

Version-Release number of selected component:
gnome-shell-3.13.3-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: get_radeon_bo
executable:     /usr/bin/gnome-shell
kernel:         3.16.0-0.rc4.git3.1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 get_radeon_bo at /usr/lib64/dri/r600_dri.so
 #1 radeon_drm_cs_flush at /usr/lib64/dri/r600_dri.so
 #2 r600_context_gfx_flush at /usr/lib64/dri/r600_dri.so
 #3 st_context_flush at /usr/lib64/dri/r600_dri.so
 #4 dri_flush at /usr/lib64/dri/r600_dri.so
 #5 __dri2CopySubBuffer.isra.2 at /lib64/libGL.so.1
 #6 _cogl_winsys_onscreen_swap_region at /lib64/libcogl.so.20
 #7 cogl_onscreen_swap_region at /lib64/libcogl.so.20
 #8 clutter_stage_cogl_redraw at /lib64/libclutter-1.0.so.0
 #9 _clutter_stage_do_update at /lib64/libclutter-1.0.so.0

Comment 1 Bill Gianopoulos 2014-07-12 23:22:31 UTC
Created attachment 917560 [details]
File: backtrace

Comment 2 Bill Gianopoulos 2014-07-12 23:22:32 UTC
Created attachment 917561 [details]
File: cgroup

Comment 3 Bill Gianopoulos 2014-07-12 23:22:33 UTC
Created attachment 917562 [details]
File: core_backtrace

Comment 4 Bill Gianopoulos 2014-07-12 23:22:34 UTC
Created attachment 917563 [details]
File: dso_list

Comment 5 Bill Gianopoulos 2014-07-12 23:22:35 UTC
Created attachment 917564 [details]
File: environ

Comment 6 Bill Gianopoulos 2014-07-12 23:22:36 UTC
Created attachment 917565 [details]
File: exploitable

Comment 7 Bill Gianopoulos 2014-07-12 23:22:37 UTC
Created attachment 917566 [details]
File: limits

Comment 8 Bill Gianopoulos 2014-07-12 23:22:39 UTC
Created attachment 917567 [details]
File: maps

Comment 9 Bill Gianopoulos 2014-07-12 23:22:40 UTC
Created attachment 917568 [details]
File: open_fds

Comment 10 Bill Gianopoulos 2014-07-12 23:22:41 UTC
Created attachment 917569 [details]
File: proc_pid_status

Comment 11 Bill Gianopoulos 2014-07-12 23:22:41 UTC
Created attachment 917570 [details]
File: var_log_messages

Comment 12 Chris Murphy 2014-08-06 01:26:46 UTC
Forwarded to this bug by abrt. This constitutes a data loss bug. My working session containing in-progress work was lost.

Comment 13 Chris Murphy 2014-08-06 01:31:12 UTC
gnome-shell-3.13.4-2.fc21.x86_64

01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Whistler [Radeon HD 6630M/6650M/6750M/7670M/7690M] [1002:6741] (prog-if 00 [VGA controller])
	Subsystem: Apple Inc. MacBookPro8,2 [Core i7, 15", Late 2011] [106b:00e2]
Kernel modules: radeon

[ 3905.687954] gnome-shell[1760]: segfault at 10 ip 00007fe5d123e79c sp 00007fffe1192290 error 4 in r600_dri.so[7fe5d115e000+4d3000]

Comment 14 Chris Murphy 2014-08-06 01:39:16 UTC
Created attachment 924327 [details]
coredump.tar.gz

kernel-3.16.0-1.fc21.x86_64

Comment 15 Chris Murphy 2014-08-06 01:45:51 UTC
Looks like bug 1113928 is the actual instigator.

[root@twenty1 ccpp-2014-08-05-19:23:50-946]# dmesg | grep -i gdm
[ 3905.109886] gdm[946]: segfault at 14 ip 00007f4971cd0db7 sp 00007fff1dbee788 error 4 in libgobject-2.0.so.0.4102.0[7f4971c9d000+50000]
[root@twenty1 ccpp-2014-08-05-19:23:50-946]# dmesg | grep -i gnome-shell
[ 3905.687954] gnome-shell[1760]: segfault at 10 ip 00007fe5d123e79c sp 00007fffe1192290 error 4 in r600_dri.so[7fe5d115e000+4d3000]

Comment 16 Fedora End Of Life 2015-11-04 15:16:17 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2015-12-02 03:15:18 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.